curl --request POST \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"databaseName": "my_spectacular_db",
"region": "AWS_US_WEST_2"
}
'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases"
payload = {
"databaseName": "my_spectacular_db",
"region": "AWS_US_WEST_2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({databaseName: 'my_spectacular_db', region: 'AWS_US_WEST_2'})
};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"status": "PENDING",
"region": "AWS_US_WEST_2",
"expandable": true,
"apiHost": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z",
"dbHost": "<string>",
"parent": {
"id": "<string>",
"name": "<string>"
}
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}Create a database
Creates a database record in the control plane and triggers creation in the target region. Database names must be less than 64 characters, and unique within a workspace. Names may contain letters (lower or uppercase), numbers, and underscores, and must begin with a letter or underscore.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
The name and region for the new database
Parameters for creating a new database, including the name and region.
The name of the database to be created. Database names must be less than 64 characters, and unique within a workspace. Names may contain letters (lower or uppercase), numbers, and underscores, and must begin with a letter or underscore.
1"my_spectacular_db"
The region where the database will be hosted. Nile currently supports the following values:
AWS_US_WEST_2- AWS in US West (Oregon)AWS_EU_CENTRAL_1- AWS in Europe (Frankfurt)
AWS_US_WEST_2, AWS_EU_CENTRAL_1 "AWS_US_WEST_2"
Response
Database created.
1Show child attributes
Show child attributes
PENDING, REQUESTED, BUILT, POOLED, READY AWS_US_WEST_2, AWS_EU_CENTRAL_1, AZURE_EASTUS Show child attributes
Show child attributes
Was this page helpful?